org.aspectj.runtime.internal

## Class CFlowStack

- java.lang.Object
- - org.aspectj.runtime.internal.CFlowStack

    public class CFlowStack
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CFlowStack()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `get(int index)`
`static String` `getThreadStackFactoryClassName()`
`boolean` `isValid()`
`Object` `peek()`
`CFlow` `peekCFlow()`
`Object` `peekInstance()`
`CFlow` `peekTopCFlow()`
`void` `pop()`
`void` `push(Object obj)`
`void` `push(Object[] obj)`
`void` `pushInstance(Object obj)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CFlowStack

    public CFlowStack()

### Method Detail

#### push

    public void push(Object obj)

#### pushInstance

    public void pushInstance(Object obj)

#### push

    public void push(Object[] obj)

#### pop

    public void pop()

#### peek

    public Object peek()

#### get

    public Object get(int index)

#### peekInstance

    public Object peekInstance()

#### peekCFlow

    public CFlow peekCFlow()

#### peekTopCFlow

    public CFlow peekTopCFlow()

#### isValid

    public boolean isValid()

#### getThreadStackFactoryClassName

    public static String getThreadStackFactoryClassName()